[arch-commits] Commit in libffi/repos (4 files)

Allan McRae allan at archlinux.org
Thu Apr 26 17:34:19 EDT 2012


    Date: Thursday, April 26, 2012 @ 17:34:19
  Author: allan
Revision: 157285

db-move: moved libffi from [staging] to [testing] (i686)

Added:
  libffi/repos/testing-i686/
  libffi/repos/testing-i686/PKGBUILD
    (from rev 157266, libffi/repos/staging-i686/PKGBUILD)
  libffi/repos/testing-i686/libffi.install
    (from rev 157266, libffi/repos/staging-i686/libffi.install)
Deleted:
  libffi/repos/staging-i686/

----------------+
 PKGBUILD       |   33 +++++++++++++++++++++++++++++++++
 libffi.install |   20 ++++++++++++++++++++
 2 files changed, 53 insertions(+)

Copied: libffi/repos/testing-i686/PKGBUILD (from rev 157266, libffi/repos/staging-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-04-26 21:34:19 UTC (rev 157285)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=libffi
+pkgver=3.0.11
+pkgrel=1
+pkgdesc="A portable, high level programming interface to various calling conventions"
+arch=('i686' 'x86_64')
+url="http://sourceware.org/libffi"
+license=('MIT')
+depends=('glibc')
+checkdepends=('dejagnu')
+options=('!libtool')
+install=libffi.install
+source=(ftp://sourceware.org/pub/libffi/libffi-${pkgver}.tar.gz)
+md5sums=('f69b9693227d976835b4857b1ba7d0e3')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make check
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m644 LICENSE "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+}

Copied: libffi/repos/testing-i686/libffi.install (from rev 157266, libffi/repos/staging-i686/libffi.install)
===================================================================
--- testing-i686/libffi.install	                        (rev 0)
+++ testing-i686/libffi.install	2012-04-26 21:34:19 UTC (rev 157285)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(libffi.info.gz)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}



More information about the arch-commits mailing list